Skip to main content
GET
/
api
/
v1
/
query-fan-out
/
coverage
Query Fan-Out Detailed Coverage Metrics
curl --request GET \
  --url https://api.shareofsearch.jplus.io/api/v1/query-fan-out/coverage \
  --header 'Authorization: Bearer <token>'
{
  "thematics": [
    {
      "id": "<string>",
      "thematic": "<string>",
      "nb_query_fanouts": 123,
      "coverage": 123,
      "previous_coverage": 123,
      "trend": "up"
    }
  ],
  "topics": [
    {
      "id": "<string>",
      "topic": "<string>",
      "nb_query_fanouts": 123,
      "coverage": 123,
      "previous_coverage": 123,
      "trend": "up"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

collect_ids
string<uuid>[]
required

List of collect IDs to filter, at least one collect is required.

Minimum array length: 1
prev_collect_ids
string<uuid>[] | null
topic_ids
string[] | null
persona_ids
string[] | null
strength_ids
string[] | null
weakness_ids
string[] | null
intents_groups
enum<string>[] | null
Available options:
DECISION_MAKING,
COMPARATIVE,
EXPLORATORY,
PRODUCT_SPECS,
SOCIAL_PROOF,
UNKNOWN
intents_sub_groups
enum<string>[] | null
Available options:
BUYER_GUIDE,
PRICING,
VALUE_FOR_MONEY,
BEST_FOR_PERSONA,
COMPARISON,
X_VS_Y,
ALTERNATIVES,
PROS_CONS,
TOP_LISTS,
DEFINITION,
HOW_IT_WORKS,
PITFALLS,
GLOSSARY,
TECHNICAL_SPECS,
FEATURE_LISTS,
COMPATIBILITY,
PERFORMANCE_METRICS,
REVIEWS,
EXPERT_OPINION,
TRENDS,
CASE_STUDIES,
UNKNOWN
client_id
string
required

Client id

project_id
string
required

Project Id

sources
enum<string>[]
required

Sources

Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
thematics
string[]
required

Thematic

keyword_type
enum<string>[]
required

Keyword Type

Available options:
Generic,
Brand
funnel_stages
enum<string>[] | null

Funnel Stage

Available options:
ToFu,
MoFu,
BoFu

Response

Successful Response

thematics
ThematicCoverageResponse · object[]
required
topics
TopicCoverageResponse · object[]
required